## opencpn-plugin-tidefinder 0.1.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Rasbats aka. Mike Rossiter
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
PROJECT(tidefinder_pi)

SET(PACKAGE_NAME tidefinder_pi)
SET(VERBOSE_NAME TideFinder)
SET(TITLE_NAME TideFinder)
SET(CPACK_PACKAGE_CONTACT "Mike Rossiter")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "1")

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_TIDEFINDER
            src/TideFinder_pi.h
            src/TideFinder_pi.cpp
            src/icons.h
            src/icons.cpp
            src/TideFindergui.h
            src/TideFindergui.cpp
            src/TideFindergui_impl.cpp
            src/TideFindergui_impl.h
            src/NavFunc.h
            src/NavFunc.cpp
            src/tcmgr.cpp
            src/tcmgr.h
            src/TCWin.cpp
            src/TCWin.h
            src/timectrl.h
            src/timectrl.cpp
    )

IF(UNIX)
 INCLUDE("cmake/FindTinyXML.cmake")
 FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX)

IF(TINYXML_FOUND)
 message (STATUS "Building with system tinyxml")
 INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_TIDEFINDER})
 TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${TINYXML_LIBRARIES})
ELSE(TINYXML_FOUND)
 message (STATUS "Building with embedded tinyxml")
 INCLUDE_DIRECTORIES(src/tinyxml/)
 SET(SRC_LTINYXML
            src/tinyxml/tinyxml.cpp
            src/tinyxml/tinyxmlparser.cpp
            src/tinyxml/tinyxmlerror.cpp
 )
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_TIDEFINDER} ${SRC_LTINYXML})
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")
