=== debian/changelog ===
opencpn-plugin-tidefinder (0.1.0-0mx17+2) mx; urgency=medium

  * Set wxxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:37:52 -0700

opencpn-plugin-tidefinder (0.1.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 16:19:39 -0700

opencpn-plugin-tidefinder (0.1.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:55:41 -0700

opencpn-plugin-tidefinder (0.1.0-0~trusty1) trusty; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~utopic1) utopic; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~vivid1) vivid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500

opencpn-plugin-tidefinder (0.1.0-0~wily1) wily; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:17:47 -0500
